> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/rest-api/datasources/post.md).

# post

## Overview

This endpoint is used for updating information about a dataset's tables.

## HTTP Request

```http
PATCH /api/v1/workflows/:workflowReference/dataSources
```

## Path parameters

| Parameter         |                                                                                                                         |
| ----------------- | ----------------------------------------------------------------------------------------------------------------------- |
| workflowReference | A qualified reference to the workflow. See [referencing resources](/api/referencing-resources.md) for more information. |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md)
{% endhint %}

## Request body

Provide a JSON object with information about the dataSource.

<table><thead><tr><th width="206.20703125">Property name</th><th width="153.40755208333331">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>sourceDataset</strong></td><td><strong>string</strong></td><td><p>A qualified reference to the source dataset for this dataSource. </p><p></p><p>Include version / sample information in the reference to update a dataSource's version or sample status.</p><p></p><p>Either a sourceDataset or sourceWorkflow must be provided, but not both.</p></td></tr><tr><td><strong>sourceWorkflow</strong></td><td><strong>string</strong></td><td><p>A qualified reference to the source workflow for this dataSource. </p><p></p><p>Either a sourceDataset or sourceWorkflow must be provided, but not both.</p></td></tr></tbody></table>

## Authorization

Edit access to the corresponding workflow is required. Your access token must have the following scope:

* workflow\.write

[Learn more about authorization.](/api/rest-api/authorization.md)

## Response body

Returns the JSON-encoded "get" representation of a [dataSource resource](/api/resource-definitions/datasource.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/rest-api/datasources/post.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
